      SUBROUTINE RBPARM
      IMPLICIT NONE
*
* RBPARM - Read Binary data part of parameter file record into common block
*
* This routine does not use RBREAD to read a new record from the data,
* but continues to read the record where RBMETA left off.
*
*    BINPOS - Current position in binary record
*    I      - Loop counter
*
      INCLUDE 'misc.inc'
      INCLUDE 'labl.inc'
      INCLUDE 'parm.inc'

      INTEGER   BINPOS, I

      IF (RECTYP .NE. ' 3') THEN
         PRINT *,'* Not a UARS data record'
         STOP

      ELSE
         BINPOS = 65       

         READ (UNIT=RECORD(BINPOS:BINPOS+19),FMT=1110)
     +      NUM32W,SDIREC,SUNVIE,(PMCPID(I),I=1,8),PRCIDM,LOS,LAST2

 1110    FORMAT (A4,10A1,2A2,A2)
      ENDIF

      RETURN
      END
